<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
	
	<xsd:element name="FORCE" type="ForceContent"/>
	<xsd:element name="FORCE_STATE" type="StateType"/>
	<xsd:element name="SOURCE_ID" type="xsd:integer" default="-1"/>
	<xsd:element name="FORCE_NAME" type="xsd:string"/>
	<xsd:element name="FORCE_ID" type="xsd:integer" default="-1"/>
	<xsd:element name="CELL" type="CellContent"/>
	<xsd:element name="LAYOUT" type="LayoutType"/>
	<xsd:element name="PERSONAL_LAYOUT" type="LayoutType" default="1x1"/>
	<xsd:element name="PERSONAL_FORCE_LIST"  type="ForceListContent"/>
	<xsd:element name="FORCE_LIST" type="ForceListContent"/>
	<xsd:element name="PARTY_CONF_FORCE" type="ForceContent"/>

	<xsd:complexType name="ForceListContent">
		<xsd:sequence>
			<xsd:element ref="FORCE" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>	
	
	<xsd:complexType name="ForceContent">
		<xsd:sequence>
			<xsd:element ref="LAYOUT"/>
			<xsd:element ref="CELL" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="CellContent">
		<xsd:sequence>
			<xsd:element ref="ID"/>
			<xsd:element ref="FORCE_STATE" minOccurs="0"/>  <!--Valid only for live conf-->
			<xsd:element ref="FORCE_ID" minOccurs="0"/>		<!--Valid only for live conf-->
			<xsd:element ref="FORCE_NAME" minOccurs="0"/>	<!--Valid only for reservation-->
			<xsd:element ref="SOURCE_ID"  minOccurs="0"/>	<!--Valid only for live conf (blank is -1)-->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="StateType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="auto"/>
			<xsd:enumeration value="blank"/>
			<xsd:enumeration value="forced"/>
			<xsd:enumeration value="auto_scan"/>
		</xsd:restriction>
	</xsd:simpleType>
	
	<xsd:simpleType name="LayoutType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="1x1"/>
			<xsd:enumeration value="1x2"/>
			<xsd:enumeration value="2x1"/>
			<xsd:enumeration value="2x2"/>
			<xsd:enumeration value="1and5"/>
			<xsd:enumeration value="3x3"/>
			<xsd:enumeration value="1x2Ver"/>
			<xsd:enumeration value="1x2Hor"/>
			<xsd:enumeration value="1and2Hor"/>
			<xsd:enumeration value="1and2Ver"/>
			<xsd:enumeration value="1and3Hor"/>
			<xsd:enumeration value="1and3Ver"/>
			<xsd:enumeration value="1and4Ver"/>
			<xsd:enumeration value="1and4Hor"/>
			<xsd:enumeration value="1and8Central"/>
			<xsd:enumeration value="1and8Upper"/>
			<xsd:enumeration value="1and2HorUpper"/>
			<xsd:enumeration value="1and3HorUpper"/>
			<xsd:enumeration value="1and4HorUpper"/>
			<xsd:enumeration value="1and8Lower"/>
			<xsd:enumeration value="1and7"/>
			<xsd:enumeration value="4x4"/>
			<xsd:enumeration value="2and8"/>
			<xsd:enumeration value="1and12"/>
			<xsd:enumeration value="1x1Qcif"/>
			<xsd:enumeration value="1x2Flex"/>
			<xsd:enumeration value="1and2HorRFlex"/>
			<xsd:enumeration value="1and2HorLFlex"/>
			<xsd:enumeration value="1and2HorUpperRFlex"/>
			<xsd:enumeration value="1and2HorUpperLFlex"/>
			<xsd:enumeration value="2x2UpperRFlex"/>
			<xsd:enumeration value="2x2UpperLFlex"/>
			<xsd:enumeration value="2x2DownRFlex"/>
			<xsd:enumeration value="2x2DownLFlex"/>
			<xsd:enumeration value="2x2RFlex"/>
			<xsd:enumeration value="2x2LFlex"/>
		</xsd:restriction>
	</xsd:simpleType>




</xsd:schema>
